## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

# https://github.com/kubernetes-sigs/kustomize
%global goipath         sigs.k8s.io/kustomize
%global forgeurl        https://github.com/kubernetes-sigs/kustomize
Version:                4.0.3
%global tag             kustomize/v4.3.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
kustomize lets you customize raw, template-free YAML files for multiple
purposes, leaving the original YAML untouched and usable as is.

kustomize targets kubernetes; it understands and can patch kubernetes style API
objects. It's like make, in that what it does is declared in a file, and it's
like sed, in that it emits edited text.}

%global golicenses      LICENSE
%global godocs          docs examples CONTRIBUTING.md code-of-conduct.md\\\
                        README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Customization of kubernetes YAML configurations

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/evanphx/json-patch)
BuildRequires:  golang(github.com/go-errors/errors)
BuildRequires:  golang(github.com/google/go-github/github)
BuildRequires:  golang(github.com/google/shlex)
BuildRequires:  golang(github.com/imdario/mergo)
BuildRequires:  golang(github.com/instrumenta/kubeval/kubeval)
BuildRequires:  golang(github.com/monochromegane/go-gitignore)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/rakyll/statik/fs)
BuildRequires:  golang(github.com/sergi/go-diff/diffmatchpatch)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/xlab/treeprint)
BuildRequires:  golang(go.starlark.net/starlark)
BuildRequires:  golang(go.starlark.net/starlarkstruct)
BuildRequires:  golang(golang.org/x/mod/modfile)
BuildRequires:  golang(gopkg.in/inf.v0)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/genericclioptions)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/validation/spec)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/validation/strfmt)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/validation/validate)
BuildRequires:  golang(sigs.k8s.io/application/api/v1beta1)
BuildRequires:  golang(sigs.k8s.io/yaml)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(golang.org/x/mod/module)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/kustomize %{goipath}/kustomize

%install
%gopkginstall

ln -s %{gopath}/src/%{goipath}/kustomize %{buildroot}%{gopath}/src/%{goipath}/kustomize/v4
ln -s %{gopath}/src/%{goipath}/cmd/pluginator %{buildroot}%{gopath}/src/%{goipath}/cmd/pluginator/v2
echo  "%{gopath}/src/%{goipath}/kustomize/v4" >> golang-sigs-k8s-kustomize-devel.file-list
echo  "%{gopath}/src/%{goipath}/cmd/pluginator/v2" >> golang-sigs-k8s-kustomize-devel.file-list

install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -t cmd -d kyaml/filesys -d kyaml/fix/fixsetters
%endif

%files
%license LICENSE
%doc docs examples CONTRIBUTING.md code-of-conduct.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Aug 28 2021 Robert-André Mauchin <zebob.m@gmail.com> 4.0.3-2
- Add alternate import paths for submodules

* Thu Aug 26 2021 Robert-André Mauchin <zebob.m@gmail.com> 4.0.3-1
- Update to 4.0.3

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 17 23:47:23 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-6
- Add patch to fix myProperties type

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 07 00:51:20 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-1
- Initial package

